Ptex: PtexCachedFile Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
PtexCachedFile Class Reference

Cache entry for open file handle. More...

`#include <PtexCache.h>`

Inheritance diagram for PtexCachedFile:

## Public Member Functions
| PtexCachedFile (void **parent, PtexCacheImpl *cache)
void | ref ()
void | unref ()
Public Member Functions inherited from PtexLruItem
bool | inuse ()
void | orphan ()

## Protected Member Functions
virtual | ~PtexCachedFile ()
Protected Member Functions inherited from PtexLruItem
| PtexLruItem (void **parent=0)
virtual | ~PtexLruItem ()

## Protected Attributes
PtexCacheImpl * | _cache

## Private Attributes
int | _refcount

## Additional Inherited Members
Static Public Member Functions inherited from PtexLruItem
template<typename T >
static void | orphanList (T &list)

## Detailed Description

Cache entry for open file handle.

Definition at line 265 of file PtexCache.h.

## Constructor & Destructor Documentation

PtexCachedFile::PtexCachedFile | ( | void ** | parent,
|  | PtexCacheImpl * | cache
| ) |  |
| inline

Definition at line 268 of file PtexCache.h.

virtual PtexCachedFile::~PtexCachedFile | ( |  | ) |
| inlineprotectedvirtual

Definition at line 274 of file PtexCache.h.

## Member Function Documentation

void PtexCachedFile::ref | ( |  | ) |
| inline

Definition at line 271 of file PtexCache.h.

Referenced by PtexReaderCache::get().

void PtexCachedFile::unref | ( |  | ) |
| inline

Definition at line 272 of file PtexCache.h.

Referenced by PtexReaderCache::get(), PtexReader::readFace(), and PtexReader::release().

## Member Data Documentation

PtexCacheImpl* PtexCachedFile::_cache
| protected

Definition at line 275 of file PtexCache.h.

Referenced by PtexReader::blendFaces(), PtexReader::getData(), PtexReader::getMetaData(), PtexReader::TiledReducedFace::getTile(), PtexReader::readFace(), PtexReader::readFaceData(), PtexReader::readLevel(), PtexReader::readMetaData(), PtexReader::TiledFace::readTile(), PtexReader::PackedFace::reduce(), PtexReader::ConstantFace::reduce(), PtexReader::TiledFaceBase::reduce(), PtexReader::release(), and PtexReader::~PtexReader().

int PtexCachedFile::_refcount
| private

Definition at line 277 of file PtexCache.h.

The documentation for this class was generated from the following file:

- PtexCache.h